function Transporte() {
	const ZeedhiAPIConstructor = require('zeedhi-functional-test-api');
	const z = new ZeedhiAPIConstructor(browser, protractor);
	const Helper = require('teknisa-helper');
	const geralPage = new Helper.geral();
	const protractorHelper = require('protractor-helper');

	this.abrir = () => {
		z.component.menu.open();
		protractorHelper.waitForElementVisibility(element(by.css('.menu-overlay')));
		z.component.menu.clickByPath(['Parametrização', 'Pedidos', 'Tipo de Transporte']);
		geralPage.esperarLoading();
	};

	this.adicionarTransporte = (codigo1, nomeTransporte1) => {
		geralPage.clickAdicionar();
		geralPage.clickAndFllField('CDTIPTRANS', codigo1);
		geralPage.clickAndFllField('NMTIPTRANS', nomeTransporte1);
	};

	this.editarTransporte = (nomeTransporte) => {
		geralPage.fillField('NMTIPTRANS', nomeTransporte);
	};

	this.apagarTransporte = () => {
		geralPage.clickExcluir();
		geralPage.clickSim();
	};
}
module.exports = new Transporte();
